Subject: Re: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Wed, 30 Jun 2010 13:45:56 +0200

On Wed, Jun 30, 2010 at 12:38 PM, Agustin Martin
<[email-masked]> wrote:
> On Wed, Jun 30, 2010 at 11:18:17AM +0200, Lennart Borgman wrote:
>> Calling ispell-complete-word on w32 gives the error
>>
>>   grep error: grep: /usr/dict/words: No such file or directory
>>
>> This is wrong for w32.
>>
>> I am using aspell. It also seems like the function above does not know
>> about aspell.
>
> Hi, Lennart,

Hi Agustin, thanks for replying.

> `ispell-complete-word' does not use spellchecking dictionaries but
> plain wordlists to guess completions, so it does not depend on spellchecking
> engines. Plain wordlist to use can be customized by means of
> `ispell-alternate-dictionary' variable.

OK, thanks. The default for ispell-alternate-dictionary is not a full
path on w32 so that is a bug.

> Do you have a plain wordlist installed? It has been considered a nearly
> standard part of any UNIX-like system (at least a minimal american wordlist)
> whose default location is currently /usr/share/dict/words (or previously
> /usr/dict/words).

Does not such plain wordlists come with ispell or aspell?

> I think that this bug report can be closed or renamed to something like
> 'Improve `ispell-alternate-dictionary' docstring'.

I think the default for ispell-alternate-dictionary should be changed on w32.